# QwtPickerClickPointMachine Class Reference

A state machine for point selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerClickPointMachine:
[legend]

List of all members.

## Public Types

enum | Command { Begin, Append, Move, Remove, End }
enum | SelectionType { NoSelection = -1, PointSelection, RectSelection, PolygonSelection }

## Public Member Functions

| QwtPickerClickPointMachine ()
void | reset ()
SelectionType | selectionType () const
void | setState (int)
int | state () const
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *)

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

## Member Enumeration Documentation

enum QwtPickerMachine::Command`[inherited]`

Commands - the output of a state machine.

enum QwtPickerMachine::SelectionType`[inherited]`

Type of a selection.

See also:
  selectionType()

Enumerator:

  NoSelection | The state machine not usable for any type of selection.
  PointSelection | The state machine is for selecting a single point.
  RectSelection | The state machine is for selecting a rectangle (2 points).
  PolygonSelection | The state machine is for selecting a polygon (many points).

## Constructor & Destructor Documentation

QwtPickerClickPointMachine::QwtPickerClickPointMachine | ( |  | ) |

Constructor.

## Member Function Documentation

void QwtPickerMachine::reset | ( |  | ) | `[inherited]`

Set the current state to 0.

QwtPickerMachine::SelectionType QwtPickerMachine::selectionType | ( |  | ) | const`[inherited]`

Return the selection type.

void QwtPickerMachine::setState | ( | int | state | ) | `[inherited]`

Change the current state.

int QwtPickerMachine::state | ( |  | ) | const`[inherited]`

Return the current state.

QList< QwtPickerMachine::Command > QwtPickerClickPointMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | e
| ) |  | `[virtual]`

Transition.

Implements QwtPickerMachine.